%define name    edbus
%define version 1.7.2
%define option  0
%define svn     r81625
%if %option
%define rel 0.%option.3
%define namevers %name-%version-%option
%else
%define rel 3
%define namevers %name-%version
%endif
%if %svn
%define release %mkrel -c %svn %rel
%else
%define release %mkrel %rel
%endif

%define major		2
%define libname		%mklibname %{name} %{major}
%define develname	%mklibname %{name} -d

Summary: 	Easy access to D-Bus from EFL applications
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
# creating archive is quite simple:
# svn export http://svn.enlightenment.org/svn/e/branches/%name-1.1 %name
# tar cJf %name-%svn.tar.xz %name
%if %svn
Source:         %name-%svn.tar.xz
%else
Source:		http://download.enlightenment.org/releases/%namevers.tar.bz2
%endif
Patch1:         edbus-0001-fix-configure-ac.patch
License: 	BSD
Group: 		System/Servers
URL: 		http://trac.enlightenment.org/e/wiki/
BuildRequires:	dbus-devel
BuildRequires:	ecore-devel
BuildRequires:	eina-devel

%description
EDBus allows connecting to both system and session buses acting as
both client and service roles.

%package -n %{libname}
Summary:	Libraries for the %{name} package
Group:		System/Libraries
Obsoletes:	%{mklibname e_dbus 1} <= 0.01

%description -n %{libname}
Libraries for %{name}.

%package -n %{develname}
Summary:	Headers and development libraries from %{name}
Group:		Development/Other
Requires:	%{libname} = %{version}
Requires:	%{name} = %{version}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{develname}
%{name} development headers and libraries.

%prep
%if %svn
%setup -qn %name
%else
%setup -qn %namevers
%endif
%patch1 -p1

%build
%if %svn
LC_ALL=C NOCONFIGURE=1 ./autogen.sh
%endif
autoreconf -fi
%configure2_5x --disable-static
%make


rm -rf %{buildroot}
%makeinstall_std

rm -f %{buildroot}%{_libdir}/*.la

%files
%doc AUTHORS README
%{_bindir}/edbus-codegen

%files -n %{libname}
%{_libdir}/*.so.*

%files -n %{develname}
%{_libdir}/pkgconfig/*
%{_libdir}/*.so
%{_includedir}/%{name}-1/*.h


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 1.7.2-0.r81625.3.mga4
+ Revision: 523488
- Mageia 4 Mass Rebuild

* Tue May 07 2013 trem <trem> 1.7.2-0.r81625.3.mga3
+ Revision: 412578
- increase release to rebuild

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 06 2013 trem <trem> 1.7.2-0.r81625.2.mga3
+ Revision: 339906
- add patch edbus-0001-fix-configure-ac.patch

* Sat Dec 22 2012 trem <trem> 1.7.2-0.r81625.1.mga3
+ Revision: 334034
- update to release 81625

* Sat Dec 15 2012 trem <trem> 1.7.2-0.r80969.1.mga3
+ Revision: 331125
- update to release 80969

* Sat Dec 08 2012 trem <trem> 1.7.2-0.r80477.1.mga3
+ Revision: 328266
- update to release 80477

* Sat Nov 24 2012 trem <trem> 1.7.2-0.r79568.1.mga3
+ Revision: 321592
- imported package edbus

